<?xml version="1.0" encoding="UTF-8"?>
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="uigetdir">
  <info>
    <pubdate>$LastChangedDate: 2007-12-07 11:59:53 +0100 (ven, 07 dÃ©c 2007) $</pubdate>
  </info>
  <refnamediv>
    <refname>uigetdir</refname>
    <refpurpose>dialog for selecting a directory</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>directory = uigetdir()
directory = uigetdir(start_path [,title])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>start_path</term>
        <listitem>
          <para>a character string which gives the initial directory used for search. By default uigetdir uses current working directory.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>title</term>
        <listitem>
          <para>the title for the uigetdir window.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>directory</term>
        <listitem>
          <para>is the user selected directory if user answers "Ok" or the " " string if user cancels.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    Creates a dialog window for selecting a directory</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
uigetdir()
uigetdir("SCI/modules/")
uigetdir("SCI/modules/", "Choose a directory")
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="uigetfile">uigetfile</link>
      </member>
      <member>
        <link linkend="uiputfile">uiputfile</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
